
SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `chevereto414`
--

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]albums`
--

CREATE TABLE `[[dbprefix]]albums` (
  `album_id` bigint(32) NOT NULL AUTO_INCREMENT,
  `album_name` varchar(100) NOT NULL,
  `album_user_id` bigint(32) DEFAULT NULL,
  `album_date` datetime NOT NULL,
  `album_date_gmt` datetime NOT NULL,
  `album_creation_ip` varchar(255) NOT NULL,
  `album_privacy` enum('public','password','private','private_but_link','custom') DEFAULT 'public',
  `album_privacy_extra` mediumtext,
  `album_password` mediumtext,
  `album_image_count` bigint(32) NOT NULL DEFAULT '0',
  `album_description` mediumtext,
  `album_likes` bigint(32) NOT NULL DEFAULT '0',
  `album_views` bigint(32) NOT NULL DEFAULT '0',
  `album_cover_id` bigint(32) DEFAULT NULL,
  `album_parent_id` bigint(32) DEFAULT NULL,
  `album_cta_enable` tinyint(1) NOT NULL DEFAULT '0',
  `album_cta` longtext,
  PRIMARY KEY (`album_id`),
  KEY `album_name` (`album_name`),
  KEY `album_user_id` (`album_user_id`),
  KEY `album_date_gmt` (`album_date_gmt`),
  KEY `album_privacy` (`album_privacy`),
  KEY `album_image_count` (`album_image_count`),
  KEY `album_creation_ip` (`album_creation_ip`),
  KEY `album_likes` (`album_likes`),
  KEY `album_views` (`album_views`),
  KEY `album_parent_id` (`album_parent_id`),
  FULLTEXT KEY `searchindex` (`album_name`,`album_description`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]api_keys`
--

CREATE TABLE `[[dbprefix]]api_keys` (
  `api_key_id` bigint(32) NOT NULL AUTO_INCREMENT,
  `api_key_user_id` bigint(32) DEFAULT NULL,
  `api_key_name` varchar(100) DEFAULT NULL,
  `api_key_date_gmt` datetime NOT NULL,
  `api_key_hash` mediumtext NOT NULL,
  PRIMARY KEY (`api_key_id`),
  KEY `api_key_user_id` (`api_key_user_id`),
  KEY `api_key_name` (`api_key_name`),
  KEY `api_key_date_gmt` (`api_key_date_gmt`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]assets`
--

CREATE TABLE `[[dbprefix]]assets` (
  `asset_id` bigint(32) NOT NULL AUTO_INCREMENT,
  `asset_key` varchar(255) NOT NULL,
  `asset_md5` varchar(32) NOT NULL,
  `asset_filename` varchar(255) NOT NULL,
  `asset_file_path` varchar(255) NOT NULL,
  `asset_blob` blob,
  PRIMARY KEY (`asset_id`),
  UNIQUE KEY `key` (`asset_key`(191)) USING BTREE,
  KEY `md5` (`asset_md5`),
  KEY `filename` (`asset_filename`),
  KEY `file_path` (`asset_file_path`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]categories`
--

CREATE TABLE `[[dbprefix]]categories` (
  `category_id` bigint(32) NOT NULL AUTO_INCREMENT,
  `category_name` varchar(32) NOT NULL,
  `category_url_key` varchar(32) NOT NULL,
  `category_description` mediumtext,
  PRIMARY KEY (`category_id`),
  UNIQUE KEY `url_key` (`category_url_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]confirmations`
--

CREATE TABLE `[[dbprefix]]confirmations` (
  `confirmation_id` bigint(32) NOT NULL AUTO_INCREMENT,
  `confirmation_user_id` bigint(32) NOT NULL,
  `confirmation_type` enum('account-activate','account-change-email','account-password-forgot') NOT NULL,
  `confirmation_date` datetime NOT NULL,
  `confirmation_date_gmt` datetime NOT NULL,
  `confirmation_token_hash` varchar(255) NOT NULL,
  `confirmation_status` enum('active','valid','invalid') NOT NULL,
  `confirmation_extra` mediumtext,
  PRIMARY KEY (`confirmation_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]deletions`
--

CREATE TABLE `[[dbprefix]]deletions` (
  `deleted_id` bigint(32) NOT NULL AUTO_INCREMENT,
  `deleted_date_gmt` datetime NOT NULL,
  `deleted_content_id` bigint(32) NOT NULL,
  `deleted_content_date_gmt` datetime NOT NULL,
  `deleted_content_user_id` bigint(32) DEFAULT NULL,
  `deleted_content_ip` varchar(255) NOT NULL,
  `deleted_content_md5` varchar(32) DEFAULT NULL,
  `deleted_content_original_filename` varchar(255) DEFAULT NULL,
  `deleted_content_views` bigint(32) NOT NULL DEFAULT '0',
  `deleted_content_likes` bigint(32) NOT NULL DEFAULT '0',
  PRIMARY KEY (`deleted_id`),
  KEY `deleted_content_id` (`deleted_content_id`),
  KEY `deleted_content_user_id` (`deleted_content_user_id`),
  KEY `deleted_content_ip` (`deleted_content_ip`),
  KEY `deleted_content_md5` (`deleted_content_md5`),
  KEY `deleted_content_views` (`deleted_content_views`),
  KEY `deleted_content_likes` (`deleted_content_likes`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]follows`
--

CREATE TABLE `[[dbprefix]]follows` (
  `follow_id` bigint(32) NOT NULL AUTO_INCREMENT,
  `follow_date` datetime NOT NULL,
  `follow_date_gmt` datetime NOT NULL,
  `follow_user_id` bigint(32) NOT NULL,
  `follow_followed_user_id` bigint(32) NOT NULL,
  `follow_ip` varchar(255) NOT NULL,
  PRIMARY KEY (`follow_id`),
  KEY `follow_user_id` (`follow_user_id`),
  KEY `follow_followed_user_id` (`follow_followed_user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]images`
--

CREATE TABLE `[[dbprefix]]images` (
  `image_id` bigint(32) NOT NULL AUTO_INCREMENT,
  `image_name` varchar(255) NOT NULL,
  `image_extension` varchar(255) NOT NULL,
  `image_size` bigint(11) unsigned NOT NULL,
  `image_width` int(11) NOT NULL,
  `image_height` int(11) NOT NULL,
  `image_date` datetime NOT NULL,
  `image_date_gmt` datetime NOT NULL,
  `image_title` varchar(100) DEFAULT NULL,
  `image_description` mediumtext,
  `image_nsfw` tinyint(1) NOT NULL DEFAULT '0',
  `image_user_id` bigint(32) DEFAULT NULL,
  `image_album_id` bigint(32) DEFAULT NULL,
  `image_uploader_ip` varchar(255) NOT NULL,
  `image_storage_mode` enum('datefolder','direct','old','path') NOT NULL DEFAULT 'datefolder',
  `image_path` varchar(4096) DEFAULT NULL,
  `image_storage_id` bigint(32) DEFAULT NULL,
  `image_md5` varchar(32) NOT NULL,
  `image_source_md5` varchar(32) DEFAULT NULL,
  `image_original_filename` varchar(255) NOT NULL,
  `image_original_exifdata` longtext,
  `image_views` bigint(32) NOT NULL DEFAULT '0',
  `image_category_id` bigint(32) DEFAULT NULL,
  `image_chain` tinyint(3) NOT NULL,
  `image_thumb_size` int(11) NOT NULL,
  `image_medium_size` int(11) NOT NULL DEFAULT '0',
  `image_frame_size` int(11) NOT NULL DEFAULT '0',
  `image_expiration_date_gmt` datetime DEFAULT NULL,
  `image_likes` bigint(32) NOT NULL DEFAULT '0',
  `image_is_animated` tinyint(1) NOT NULL DEFAULT '0',
  `image_is_approved` tinyint(1) NOT NULL DEFAULT '1',
  `image_is_360` tinyint(1) NOT NULL DEFAULT '0',
  `image_duration` int(11) NOT NULL DEFAULT '0',
  `image_type` tinyint(3) unsigned GENERATED ALWAYS AS ((case when (`image_extension` in ('pdf','doc','md')) then 4 when (`image_extension` in ('mp3','m4a','wav')) then 3 when (`image_extension` in ('mp4','webm')) then 2 when (`image_extension` in ('jpg','jpeg','gif','png','webp')) then 1 else 0 end)) STORED,
  PRIMARY KEY (`image_id`),
  KEY `image_name` (`image_name`),
  KEY `image_extension` (`image_extension`),
  KEY `image_size` (`image_size`),
  KEY `image_width` (`image_width`),
  KEY `image_height` (`image_height`),
  KEY `image_date_gmt` (`image_date_gmt`),
  KEY `image_nsfw` (`image_nsfw`),
  KEY `image_user_id` (`image_user_id`),
  KEY `image_album_id` (`image_album_id`),
  KEY `image_uploader_ip` (`image_uploader_ip`),
  KEY `image_storage_mode` (`image_storage_mode`),
  KEY `image_path` (`image_path`(255)),
  KEY `image_storage_id` (`image_storage_id`),
  KEY `image_md5` (`image_md5`),
  KEY `image_source_md5` (`image_source_md5`),
  KEY `image_views` (`image_views`),
  KEY `image_category_id` (`image_category_id`),
  KEY `image_chain` (`image_chain`),
  KEY `image_expiration_date_gmt` (`image_expiration_date_gmt`),
  KEY `image_likes` (`image_likes`),
  KEY `image_is_animated` (`image_is_animated`),
  KEY `image_is_approved` (`image_is_approved`),
  KEY `image_is_360` (`image_is_360`),
  KEY `image_album_id_image_id` (`image_album_id`,`image_id`),
  KEY `image_duration` (`image_duration`),
  KEY `image_type` (`image_type`),
  FULLTEXT KEY `searchindex` (`image_name`,`image_title`,`image_description`,`image_original_filename`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]images_hash`
--

CREATE TABLE `[[dbprefix]]images_hash` (
  `image_hash_image_id` bigint(32) NOT NULL,
  `image_hash_hash` mediumtext NOT NULL,
  PRIMARY KEY (`image_hash_image_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]importing`
--

CREATE TABLE `[[dbprefix]]importing` (
  `importing_id` bigint(32) NOT NULL AUTO_INCREMENT,
  `importing_import_id` bigint(32) NOT NULL,
  `importing_path` varchar(4096) NOT NULL,
  `importing_content_type` enum('user','album','image') NOT NULL,
  `importing_content_id` bigint(32) NOT NULL DEFAULT '0',
  PRIMARY KEY (`importing_id`),
  UNIQUE KEY `importing_path` (`importing_path`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]imports`
--

CREATE TABLE `[[dbprefix]]imports` (
  `import_id` bigint(32) NOT NULL AUTO_INCREMENT,
  `import_path` varchar(4096) NOT NULL,
  `import_options` varchar(255) DEFAULT NULL,
  `import_status` enum('queued','working','paused','canceled','completed') NOT NULL,
  `import_users` bigint(32) NOT NULL DEFAULT '0',
  `import_images` bigint(32) NOT NULL DEFAULT '0',
  `import_albums` bigint(32) NOT NULL DEFAULT '0',
  `import_time_created` datetime DEFAULT NULL,
  `import_time_updated` datetime DEFAULT NULL,
  `import_errors` tinyint(1) NOT NULL DEFAULT '0',
  `import_started` tinyint(1) NOT NULL DEFAULT '0',
  `import_continuous` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`import_id`),
  KEY `import_path` (`import_path`(191)) USING BTREE
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=4 ;

--
-- Dumping data for table `[[dbprefix]]imports`
--

INSERT INTO `[[dbprefix]]imports` VALUES
(1, '[[softpath]]/importing/no-parse', 'a:1:{s:4:"root";s:5:"plain";}', 'working', 0, 0, 0, '[[regtime]]', '[[regtime]]', 0, 1, 1),
(2, '[[softpath]]/importing/parse-users', 'a:1:{s:4:"root";s:5:"users";}', 'working', 0, 0, 0, '[[regtime]]', '[[regtime]]', 0, 1, 1),
(3, '[[softpath]]/importing/parse-albums', 'a:1:{s:4:"root";s:6:"albums";}', 'working', 0, 0, 0, '[[regtime]]', '[[regtime]]', 0, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]ip_bans`
--

CREATE TABLE `[[dbprefix]]ip_bans` (
  `ip_ban_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `ip_ban_date` datetime NOT NULL,
  `ip_ban_date_gmt` datetime NOT NULL,
  `ip_ban_expires` datetime DEFAULT NULL,
  `ip_ban_expires_gmt` datetime DEFAULT NULL,
  `ip_ban_ip` varchar(255) NOT NULL,
  `ip_ban_message` text,
  PRIMARY KEY (`ip_ban_id`),
  UNIQUE KEY `ip_ban_ip` (`ip_ban_ip`(191)) USING BTREE,
  KEY `ip_ban_date_gmt` (`ip_ban_date_gmt`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]likes`
--

CREATE TABLE `[[dbprefix]]likes` (
  `like_id` bigint(32) NOT NULL AUTO_INCREMENT,
  `like_date` datetime NOT NULL,
  `like_date_gmt` datetime NOT NULL,
  `like_user_id` bigint(32) DEFAULT NULL,
  `like_content_type` enum('image','album') DEFAULT NULL,
  `like_content_id` bigint(32) NOT NULL,
  `like_content_user_id` bigint(32) DEFAULT NULL,
  `like_ip` varchar(255) NOT NULL,
  PRIMARY KEY (`like_id`),
  KEY `like_date_gmt` (`like_date_gmt`),
  KEY `like_user_id` (`like_user_id`),
  KEY `like_content_type` (`like_content_type`),
  KEY `like_content_id` (`like_content_id`),
  KEY `like_content_user_id` (`like_content_user_id`),
  KEY `like_ip` (`like_ip`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]locks`
--

CREATE TABLE `[[dbprefix]]locks` (
  `lock_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `lock_name` varchar(255) NOT NULL,
  `lock_date_gmt` datetime NOT NULL,
  `lock_expires_gmt` datetime DEFAULT NULL,
  PRIMARY KEY (`lock_id`),
  UNIQUE KEY `lock_name` (`lock_name`(191)) USING BTREE,
  KEY `lock_date_gmt` (`lock_date_gmt`),
  KEY `lock_expires_gmt` (`lock_expires_gmt`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]logins`
--

CREATE TABLE `[[dbprefix]]logins` (
  `login_id` bigint(32) NOT NULL AUTO_INCREMENT,
  `login_user_id` bigint(32) NOT NULL,
  `login_type` enum('password','session','cookie','facebook','twitter','google','vk','cookie_facebook','cookie_twitter','cookie_google','cookie_vk') NOT NULL,
  `login_ip` varchar(255) DEFAULT NULL,
  `login_hostname` mediumtext,
  `login_date` datetime NOT NULL,
  `login_date_gmt` datetime NOT NULL,
  `login_resource_id` varchar(255) DEFAULT NULL,
  `login_resource_name` mediumtext,
  `login_resource_avatar` mediumtext,
  `login_resource_url` mediumtext,
  `login_secret` mediumtext COMMENT 'The secret part',
  `login_token_hash` mediumtext COMMENT 'Hashed complement to secret if needed',
  PRIMARY KEY (`login_id`),
  KEY `login_user_id` (`login_user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]login_connections`
--

CREATE TABLE `[[dbprefix]]login_connections` (
  `login_connection_id` bigint(32) NOT NULL AUTO_INCREMENT,
  `login_connection_user_id` bigint(32) NOT NULL,
  `login_connection_provider_id` bigint(32) NOT NULL,
  `login_connection_date_gmt` datetime NOT NULL,
  `login_connection_resource_id` varchar(255) NOT NULL,
  `login_connection_resource_name` mediumtext,
  `login_connection_token` mediumtext NOT NULL COMMENT 'Ciphertext',
  PRIMARY KEY (`login_connection_id`),
  UNIQUE KEY `login_connection_unique` (`login_connection_user_id`,`login_connection_provider_id`),
  KEY `login_connection_user_id` (`login_connection_user_id`),
  KEY `login_connection_date_gmt` (`login_connection_date_gmt`),
  KEY `login_connection_provider_id` (`login_connection_provider_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]login_cookies`
--

CREATE TABLE `[[dbprefix]]login_cookies` (
  `login_cookie_id` bigint(32) NOT NULL AUTO_INCREMENT,
  `login_cookie_user_id` bigint(32) NOT NULL,
  `login_cookie_connection_id` bigint(32) DEFAULT '0',
  `login_cookie_date_gmt` datetime NOT NULL,
  `login_cookie_ip` varchar(255) DEFAULT NULL,
  `login_cookie_user_agent` mediumtext NOT NULL,
  `login_cookie_hash` mediumtext NOT NULL,
  PRIMARY KEY (`login_cookie_id`),
  UNIQUE KEY `login_cookie_unique` (`login_cookie_user_id`,`login_cookie_connection_id`,`login_cookie_date_gmt`),
  KEY `login_cookie_user_id_date_gmt` (`login_cookie_user_id`,`login_cookie_date_gmt`),
  KEY `login_cookie_user_id` (`login_cookie_user_id`),
  KEY `login_cookie_ip` (`login_cookie_ip`),
  KEY `login_cookie_connection_id` (`login_cookie_connection_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]login_passwords`
--

CREATE TABLE `[[dbprefix]]login_passwords` (
  `login_password_id` bigint(32) NOT NULL AUTO_INCREMENT,
  `login_password_user_id` bigint(32) NOT NULL,
  `login_password_date_gmt` datetime NOT NULL,
  `login_password_hash` mediumtext NOT NULL,
  PRIMARY KEY (`login_password_id`),
  UNIQUE KEY `login_password_user_id` (`login_password_user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=2 ;

--
-- Dumping data for table `[[dbprefix]]login_passwords`
--

INSERT INTO `[[dbprefix]]login_passwords` VALUES
(1, 1, '[[regtime]]', '[[admin_pass]]');

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]login_providers`
--

CREATE TABLE `[[dbprefix]]login_providers` (
  `login_provider_id` bigint(32) NOT NULL AUTO_INCREMENT,
  `login_provider_name` varchar(255) DEFAULT NULL,
  `login_provider_label` varchar(255) DEFAULT NULL,
  `login_provider_key_id` mediumtext,
  `login_provider_key_secret` mediumtext,
  `login_provider_is_enabled` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`login_provider_id`),
  UNIQUE KEY `login_provider_name` (`login_provider_name`(191)),
  KEY `login_provider_is_enabled` (`login_provider_is_enabled`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=31 ;

--
-- Dumping data for table `[[dbprefix]]login_providers`
--

INSERT INTO `[[dbprefix]]login_providers` VALUES
(1, 'facebook', 'Facebook', NULL, NULL, 0),
(2, 'twitter', 'Twitter', NULL, NULL, 0),
(3, 'google', 'Google', NULL, NULL, 0),
(4, 'vkontakte', 'VK', NULL, NULL, 0),
(5, 'apple', 'Apple', NULL, NULL, 0),
(6, 'amazon', 'Amazon', NULL, NULL, 0),
(7, 'bitbucket', 'BitBucket', NULL, NULL, 0),
(8, 'discord', 'Discord', NULL, NULL, 0),
(9, 'dribbble', 'Dribbble', NULL, NULL, 0),
(10, 'dropbox', 'Dropbox', NULL, NULL, 0),
(11, 'github', 'GitHub', NULL, NULL, 0),
(12, 'gitlab', 'GitLab', NULL, NULL, 0),
(13, 'instagram', 'Instagram', NULL, NULL, 0),
(14, 'linkedin', 'LinkedIn', NULL, NULL, 0),
(15, 'mailru', 'Mailru', NULL, NULL, 0),
(16, 'medium', 'Medium', NULL, NULL, 0),
(17, 'odnoklassniki', 'Odnoklassniki', NULL, NULL, 0),
(18, 'orcid', 'ORCID', NULL, NULL, 0),
(19, 'reddit', 'Reddit', NULL, NULL, 0),
(20, 'spotify', 'Spotify', NULL, NULL, 0),
(21, 'steam', 'Steam', NULL, NULL, 0),
(22, 'strava', 'Strava', NULL, NULL, 0),
(23, 'telegram', 'Telegram', NULL, NULL, 0),
(24, 'tumblr', 'Tumblr', NULL, NULL, 0),
(25, 'twitchtv', 'Twitch', NULL, NULL, 0),
(26, 'wechat', 'WeChat', NULL, NULL, 0),
(27, 'wordpress', 'WordPress', NULL, NULL, 0),
(28, 'yandex', 'Yandex', NULL, NULL, 0),
(29, 'yahoo', 'Yahoo', NULL, NULL, 0),
(30, 'qq', 'QQ', NULL, NULL, 0);

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]notifications`
--

CREATE TABLE `[[dbprefix]]notifications` (
  `notification_id` bigint(32) NOT NULL AUTO_INCREMENT,
  `notification_date_gmt` datetime NOT NULL,
  `notification_user_id` bigint(32) NOT NULL,
  `notification_trigger_user_id` bigint(32) DEFAULT NULL,
  `notification_type` enum('follow','like') NOT NULL,
  `notification_content_type` enum('user','image','album') NOT NULL,
  `notification_type_id` bigint(32) NOT NULL COMMENT 'type_id based on action (type) table',
  `notification_is_read` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`notification_id`),
  KEY `notification_date_gmt` (`notification_date_gmt`),
  KEY `notification_user_id` (`notification_user_id`),
  KEY `notification_trigger_user_id` (`notification_trigger_user_id`),
  KEY `notification_type` (`notification_type`),
  KEY `notification_content_type` (`notification_content_type`),
  KEY `notification_type_id` (`notification_type_id`),
  KEY `notification_is_read` (`notification_is_read`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]pages`
--

CREATE TABLE `[[dbprefix]]pages` (
  `page_id` bigint(32) NOT NULL AUTO_INCREMENT,
  `page_url_key` varchar(32) DEFAULT NULL,
  `page_type` enum('internal','link') NOT NULL DEFAULT 'internal',
  `page_file_path` varchar(255) DEFAULT NULL,
  `page_link_url` mediumtext,
  `page_icon` varchar(255) DEFAULT NULL,
  `page_title` varchar(255) NOT NULL,
  `page_description` mediumtext,
  `page_keywords` mediumtext,
  `page_is_active` tinyint(1) NOT NULL DEFAULT '1',
  `page_is_link_visible` tinyint(1) NOT NULL DEFAULT '1',
  `page_attr_target` enum('_self','_blank') DEFAULT '_self',
  `page_attr_rel` varchar(255) DEFAULT NULL,
  `page_sort_display` int(11) DEFAULT NULL,
  `page_internal` varchar(255) DEFAULT NULL,
  `page_code` mediumtext,
  PRIMARY KEY (`page_id`),
  UNIQUE KEY `page_internal` (`page_internal`(191)),
  KEY `page_url_key` (`page_url_key`),
  KEY `page_type` (`page_type`),
  KEY `page_is_active` (`page_is_active`),
  KEY `page_is_link_visible` (`page_is_link_visible`),
  KEY `page_sort_display` (`page_sort_display`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=4 ;

--
-- Dumping data for table `[[dbprefix]]pages`
--

INSERT INTO `[[dbprefix]]pages` VALUES
(1, 'tos', 'internal', NULL, NULL, 'fas fa-landmark', 'Terms of service', NULL, NULL, 1, 1, '_self', NULL, 1, 'tos', NULL),
(2, 'privacy', 'internal', NULL, NULL, 'fas fa-lock', 'Privacy', NULL, NULL, 1, 1, '_self', NULL, 2, 'privacy', NULL),
(3, 'contact', 'internal', NULL, NULL, 'fas fa-at', 'Contact', NULL, NULL, 1, 1, '_self', NULL, 3, 'contact', NULL);

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]queues`
--

CREATE TABLE `[[dbprefix]]queues` (
  `queue_id` bigint(32) NOT NULL AUTO_INCREMENT,
  `queue_type` enum('storage-delete') NOT NULL,
  `queue_date_gmt` datetime NOT NULL,
  `queue_args` longtext NOT NULL,
  `queue_join` bigint(32) NOT NULL,
  `queue_attempts` varchar(255) DEFAULT '0',
  `queue_status` enum('pending','failed') NOT NULL DEFAULT 'pending',
  PRIMARY KEY (`queue_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]requests`
--

CREATE TABLE `[[dbprefix]]requests` (
  `request_id` bigint(32) NOT NULL AUTO_INCREMENT,
  `request_type` enum('upload','signup','account-edit','account-password-forgot','account-password-reset','account-resend-activation','account-email-needed','account-change-email','account-activate','login','content-password','account-two-factor') NOT NULL,
  `request_user_id` bigint(32) DEFAULT NULL,
  `request_content_id` bigint(32) DEFAULT NULL,
  `request_ip` varchar(255) NOT NULL,
  `request_date` datetime NOT NULL,
  `request_date_gmt` datetime NOT NULL,
  `request_result` enum('success','fail') NOT NULL,
  PRIMARY KEY (`request_id`),
  KEY `request_type` (`request_type`),
  KEY `request_user_id` (`request_user_id`),
  KEY `request_content_id` (`request_content_id`),
  KEY `request_ip` (`request_ip`),
  KEY `request_date_gmt` (`request_date_gmt`),
  KEY `request_result` (`request_result`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]settings`
--

CREATE TABLE `[[dbprefix]]settings` (
  `setting_id` int(11) NOT NULL AUTO_INCREMENT,
  `setting_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `setting_value` mediumtext,
  `setting_default` mediumtext,
  `setting_typeset` enum('string','bool') DEFAULT 'string',
  PRIMARY KEY (`setting_id`),
  KEY `setting_name` (`setting_name`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=236 ;

--
-- Dumping data for table `[[dbprefix]]settings`
--

INSERT INTO `[[dbprefix]]settings` VALUES
(1, 'analytics_code', '', '', 'string'),
(2, 'auto_language', '1', '1', 'bool'),
(3, 'chevereto_version_installed', '4.1.4', '4.1.4', 'string'),
(4, 'comment_code', '', '', 'string'),
(5, 'crypt_salt', '[[crypt_salt]]', '[[crypt_salt]]', 'string'),
(6, 'default_language', 'en', 'en', 'string'),
(7, 'default_timezone', 'America/Santiago', 'America/Santiago', 'string'),
(8, 'email_from_email', 'from@chevereto.example', 'from@chevereto.example', 'string'),
(9, 'email_from_name', 'Chevereto', 'Chevereto', 'string'),
(10, 'email_incoming_email', 'incoming@chevereto.example', 'incoming@chevereto.example', 'string'),
(11, 'email_mode', 'mail', 'mail', 'string'),
(12, 'email_smtp_server', '', '', 'string'),
(13, 'email_smtp_server_password', '', '', 'string'),
(14, 'email_smtp_server_port', '', '', 'string'),
(15, 'email_smtp_server_security', '', '', 'string'),
(16, 'email_smtp_server_username', '', '', 'string'),
(17, 'enable_uploads', '1', '1', 'bool'),
(18, 'flood_uploads_day', '1000', '1000', 'string'),
(19, 'flood_uploads_hour', '500', '500', 'string'),
(20, 'flood_uploads_minute', '50', '50', 'string'),
(21, 'flood_uploads_month', '10000', '10000', 'string'),
(22, 'flood_uploads_notify', '0', '0', 'bool'),
(23, 'flood_uploads_protection', '1', '1', 'bool'),
(24, 'flood_uploads_week', '5000', '5000', 'string'),
(25, 'guest_uploads', '1', '1', 'bool'),
(26, 'listing_items_per_page', '24', '24', 'string'),
(27, 'maintenance', '0', '0', 'bool'),
(28, 'captcha', '0', '0', 'bool'),
(29, 'captcha_secret', '', '', 'string'),
(30, 'captcha_sitekey', '', '', 'string'),
(31, 'captcha_threshold', '5', '5', 'string'),
(32, 'theme', 'Peafowl', 'Peafowl', 'string'),
(33, 'upload_filenaming', 'original', 'original', 'string'),
(34, 'upload_image_path', 'images', 'images', 'string'),
(35, 'upload_max_filesize_mb', '8', '20', 'string'),
(36, 'upload_medium_size', '500', '500', 'string'),
(37, 'upload_storage_mode', 'datefolder', 'datefolder', 'string'),
(38, 'upload_thumb_height', '320', '320', 'string'),
(39, 'upload_thumb_width', '320', '320', 'string'),
(40, 'website_description', 'A free image hosting service powered by Chevereto', 'A free image hosting service powered by Chevereto', 'string'),
(41, 'website_doctitle', 'Chevereto image hosting', 'Chevereto image hosting', 'string'),
(42, 'website_name', 'Chevereto', 'Chevereto', 'string'),
(43, 'website_explore_page', '1', '1', 'bool'),
(44, 'twitter_account', 'chevereto', 'chevereto', 'string'),
(45, 'enable_signups', '1', '1', 'bool'),
(46, 'favicon_image', 'default/favicon.png', 'default/favicon.png', 'string'),
(47, 'logo_image', 'default/logo.png', 'default/logo.png', 'string'),
(48, 'logo_vector', 'default/logo.svg', 'default/logo.svg', 'string'),
(49, 'theme_custom_css_code', '', '', 'string'),
(50, 'theme_custom_js_code', '', '', 'string'),
(51, 'website_keywords', 'image sharing, image hosting, chevereto', 'image sharing, image hosting, chevereto', 'string'),
(52, 'watermark_enable', '0', '0', 'bool'),
(53, 'watermark_image', 'default/watermark.png', 'default/watermark.png', 'string'),
(54, 'watermark_position', 'center center', 'center center', 'string'),
(55, 'watermark_margin', '10', '10', 'string'),
(56, 'watermark_opacity', '50', '50', 'string'),
(57, 'banner_home_after_cover', '', '', 'string'),
(58, 'banner_home_after_listing', '', '', 'string'),
(59, 'banner_image_image-viewer_foot', '', '', 'string'),
(60, 'banner_image_image-viewer_top', '', '', 'string'),
(61, 'banner_image_after_image-viewer', '', '', 'string'),
(62, 'banner_image_after_header', '', '', 'string'),
(63, 'banner_image_before_header', '', '', 'string'),
(64, 'banner_image_footer', '', '', 'string'),
(65, 'banner_content_tab-about_column', '', '', 'string'),
(66, 'banner_content_before_comments', '', '', 'string'),
(67, 'banner_explore_after_top', '', '', 'string'),
(68, 'banner_user_after_top', '', '', 'string'),
(69, 'banner_user_before_listing', '', '', 'string'),
(70, 'banner_album_before_header', '', '', 'string'),
(71, 'banner_album_after_header', '', '', 'string'),
(72, 'api_v1_key', '[[api_v1_key]]', '[[api_v1_key]]', 'string'),
(73, 'listing_pagination_mode', 'classic', 'classic', 'string'),
(74, 'banner_listing_before_pagination', '', '', 'string'),
(75, 'banner_listing_after_pagination', '', '', 'string'),
(76, 'show_nsfw_in_listings', '0', '0', 'bool'),
(77, 'show_banners_in_nsfw', '0', '0', 'bool'),
(78, 'website_privacy_mode', 'public', 'public', 'string'),
(79, 'website_content_privacy_mode', 'default', 'default', 'string'),
(80, 'show_nsfw_in_random_mode', '0', '0', 'bool'),
(81, 'cdn', '0', '0', 'bool'),
(82, 'cdn_url', '', '', 'string'),
(83, 'website_search', '1', '1', 'bool'),
(84, 'website_random', '1', '1', 'bool'),
(85, 'theme_logo_height', '', '', 'string'),
(86, 'theme_show_social_share', '1', '1', 'bool'),
(87, 'theme_show_embed_uploader', '1', '1', 'bool'),
(88, 'require_user_email_confirmation', '1', '1', 'bool'),
(89, 'require_user_email_social_signup', '1', '1', 'bool'),
(90, 'last_used_storage', '', '', 'string'),
(91, 'theme_download_button', '1', '1', 'bool'),
(92, 'theme_nsfw_upload_checkbox', '1', '1', 'bool'),
(93, 'theme_image_listing_sizing', 'fixed', 'fixed', 'string'),
(94, 'listing_columns_phone', '3', '3', 'string'),
(95, 'listing_columns_phablet', '3', '3', 'string'),
(96, 'listing_columns_tablet', '4', '4', 'string'),
(97, 'listing_columns_laptop', '5', '5', 'string'),
(98, 'listing_columns_desktop', '6', '6', 'string'),
(99, 'homepage_style', 'landing', 'landing', 'string'),
(100, 'homepage_cover_image', 'default/home_cover.jpg', 'default/home_cover.jpg', 'string'),
(101, 'homepage_uids', '', '', 'string'),
(102, 'homepage_endless_mode', '0', '0', 'bool'),
(103, 'user_image_avatar_max_filesize_mb', '1', '1', 'string'),
(104, 'user_image_background_max_filesize_mb', '2', '2', 'string'),
(105, 'theme_image_right_click', '0', '0', 'bool'),
(106, 'theme_show_exif_data', '1', '1', 'bool'),
(107, 'logo_image_homepage', 'default/logo_homepage.png', 'default/logo_homepage.png', 'string'),
(108, 'logo_vector_homepage', 'default/logo_homepage.svg', 'default/logo_homepage.svg', 'string'),
(109, 'homepage_cta_color', 'black', 'black', 'string'),
(110, 'homepage_cta_outline', '0', '0', 'bool'),
(111, 'watermark_enable_guest', '1', '1', 'bool'),
(112, 'watermark_enable_user', '1', '1', 'bool'),
(113, 'watermark_enable_admin', '1', '1', 'bool'),
(114, 'homepage_title_html', '', '', 'string'),
(115, 'homepage_paragraph_html', '', '', 'string'),
(116, 'homepage_cta_html', '', '', 'string'),
(117, 'homepage_cta_fn', '', '', 'string'),
(118, 'homepage_cta_fn_extra', '', '', 'string'),
(119, 'language_chooser_enable', '1', '1', 'bool'),
(120, 'languages_disable', '', '', 'string'),
(121, 'website_mode', 'community', 'community', 'string'),
(122, 'website_mode_personal_routing', '', '', 'string'),
(123, 'website_mode_personal_uid', '', '', 'string'),
(124, 'enable_cookie_law', '0', '0', 'bool'),
(125, 'theme_nsfw_blur', '0', '0', 'bool'),
(126, 'watermark_target_min_width', '100', '100', 'string'),
(127, 'watermark_target_min_height', '100', '100', 'string'),
(128, 'watermark_percentage', '4', '4', 'string'),
(129, 'watermark_enable_file_gif', '0', '0', 'bool'),
(130, 'id_padding', '5000', '5000', 'string'),
(131, 'upload_image_exif', '1', '1', 'bool'),
(132, 'upload_image_exif_user_setting', '1', '1', 'bool'),
(133, 'enable_expirable_uploads', '1', '1', 'bool'),
(134, 'banner_home_after_cover_nsfw', '', '', 'string'),
(135, 'banner_home_after_listing_nsfw', '', '', 'string'),
(136, 'banner_image_image-viewer_foot_nsfw', '', '', 'string'),
(137, 'banner_image_image-viewer_top_nsfw', '', '', 'string'),
(138, 'banner_image_after_image-viewer_nsfw', '', '', 'string'),
(139, 'banner_image_after_header_nsfw', '', '', 'string'),
(140, 'banner_image_before_header_nsfw', '', '', 'string'),
(141, 'banner_image_footer_nsfw', '', '', 'string'),
(142, 'banner_content_tab-about_column_nsfw', '', '', 'string'),
(143, 'banner_content_before_comments_nsfw', '', '', 'string'),
(144, 'banner_explore_after_top_nsfw', '', '', 'string'),
(145, 'banner_user_after_top_nsfw', '', '', 'string'),
(146, 'banner_user_before_listing_nsfw', '', '', 'string'),
(147, 'banner_album_before_header_nsfw', '', '', 'string'),
(148, 'banner_album_after_header_nsfw', '', '', 'string'),
(149, 'banner_listing_before_pagination_nsfw', '', '', 'string'),
(150, 'banner_listing_after_pagination_nsfw', '', '', 'string'),
(151, 'upload_medium_fixed_dimension', 'width', 'width', 'string'),
(152, 'enable_followers', '1', '1', 'bool'),
(153, 'enable_likes', '1', '1', 'bool'),
(154, 'enable_consent_screen', '0', '0', 'bool'),
(155, 'user_minimum_age', '', '', 'string'),
(156, 'consent_screen_cover_image', 'default/consent-screen_cover.jpg', 'default/consent-screen_cover.jpg', 'string'),
(157, 'enable_redirect_single_upload', '0', '0', 'bool'),
(158, 'route_image', 'image', 'image', 'string'),
(159, 'route_album', 'album', 'album', 'string'),
(160, 'enable_duplicate_uploads', '0', '0', 'bool'),
(161, 'update_check_datetimegmt', '', '', 'string'),
(162, 'update_check_notified_release', '4.1.4', '4.1.4', 'string'),
(163, 'update_check_display_notification', '1', '1', 'bool'),
(164, 'banner_home_before_title', '', '', 'string'),
(165, 'banner_home_after_cta', '', '', 'string'),
(166, 'banner_home_before_title_nsfw', '', '', 'string'),
(167, 'banner_home_after_cta_nsfw', '', '', 'string'),
(168, 'upload_threads', '2', '2', 'string'),
(169, 'enable_automatic_updates_check', '1', '1', 'bool'),
(170, 'comments_api', 'js', 'js', 'string'),
(171, 'disqus_shortname', '', '', 'string'),
(172, 'disqus_public_key', '', '', 'string'),
(173, 'disqus_secret_key', '', '', 'string'),
(174, 'image_load_max_filesize_mb', '3', '3', 'string'),
(175, 'upload_max_image_width', '0', '0', 'string'),
(176, 'upload_max_image_height', '0', '0', 'string'),
(177, 'auto_delete_guest_uploads', '', '', 'string'),
(178, 'enable_user_content_delete', '1', '1', 'bool'),
(179, 'enable_plugin_route', '1', '1', 'bool'),
(180, 'sdk_pup_url', '', '', 'string'),
(181, 'website_explore_page_guest', '1', '1', 'bool'),
(182, 'explore_albums_min_image_count', '1', '1', 'string'),
(183, 'upload_max_filesize_mb_guest', '0.5', '0.5', 'string'),
(184, 'notify_user_signups', '0', '0', 'bool'),
(185, 'seo_image_urls', '1', '1', 'bool'),
(186, 'seo_album_urls', '1', '1', 'bool'),
(187, 'upload_gui', 'js', 'js', 'string'),
(188, 'captcha_api', 'hcaptcha', 'hcaptcha', 'string'),
(189, 'force_captcha_contact_page', '1', '1', 'bool'),
(190, 'dump_update_query', '0', '0', 'bool'),
(191, 'enable_powered_by', '1', '1', 'bool'),
(192, 'akismet', '0', '0', 'bool'),
(193, 'akismet_api_key', '', '', 'string'),
(194, 'stopforumspam', '0', '0', 'bool'),
(195, 'theme_show_embed_content_for', 'all', 'all', 'string'),
(196, 'moderatecontent', '0', '0', 'bool'),
(197, 'moderatecontent_key', '', '', 'string'),
(198, 'moderatecontent_block_rating', 'a', 'a', 'string'),
(199, 'moderatecontent_flag_nsfw', 'a', 'a', 'string'),
(200, 'moderatecontent_auto_approve', '0', '0', 'bool'),
(201, 'moderate_uploads', '', '', 'string'),
(202, 'image_lock_nsfw_editing', '0', '0', 'bool'),
(203, 'enable_uploads_url', '0', '0', 'bool'),
(204, 'chevereto_news', 'a:0:{}', 'a:0:{}', 'string'),
(205, 'cron_last_ran', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 'string'),
(206, 'logo_type', 'vector', 'vector', 'string'),
(207, 'theme_palette', '0', '0', 'string'),
(208, 'enable_xr', '0', '0', 'bool'),
(209, 'xr_host', 'aaD48QuDA6/CEQ7mzspEeS5wc5pN', 'aaD48QuDA6/CEQ7mzspEeS5wc5pN', 'string'),
(210, 'xr_port', 'iUnK/Z8SH/3ctOVP0hyPB2g=', 'iUnK/Z8SH/3ctOVP0hyPB2g=', 'string'),
(211, 'xr_key', '', '', 'string'),
(212, 'route_user', 'user', 'user', 'string'),
(213, 'root_route', 'user', 'user', 'string'),
(214, 'arachnid', '0', '0', 'bool'),
(215, 'arachnid_key', '', '', 'string'),
(216, 'image_first_tab', 'info', 'info', 'string'),
(217, 'website_random_guest', '1', '1', 'bool'),
(218, 'website_search_guest', '1', '1', 'bool'),
(219, 'debug_errors', '0', '0', 'bool'),
(220, 'news_check_datetimegmt', '', '', 'string'),
(221, 'stop_words', 'richard blank\ncosta rica[\\\\\\''s]*? call center\ncall center sales', 'richard blank\ncosta rica[\\\\\\''s]*? call center\ncall center sales', 'string'),
(222, 'semantics_album', '', '', 'string'),
(223, 'semantics_albums', '', '', 'string'),
(224, 'semantics_image', '', '', 'string'),
(225, 'semantics_images', '', '', 'string'),
(226, 'semantics_user', '', '', 'string'),
(227, 'semantics_users', '', '', 'string'),
(228, 'semantics_explore', '', '', 'string'),
(229, 'semantics_discovery', '', '', 'string'),
(230, 'semantics_category', '', '', 'string'),
(231, 'semantics_categories', '', '', 'string'),
(232, 'listing_viewer', '0', '0', 'bool'),
(233, 'theme_font', '0', '0', 'string'),
(234, 'upload_enabled_image_formats', 'jpg,png,bmp,gif,mov,mp4,webm', 'jpg,png,bmp,gif,webp,mov,mp4,webm', 'string'),
(235, 'user_profile_view', 'files', 'files', 'string');

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]stats`
--

CREATE TABLE `[[dbprefix]]stats` (
  `stat_id` bigint(32) NOT NULL AUTO_INCREMENT,
  `stat_type` enum('total','date') NOT NULL,
  `stat_date_gmt` date DEFAULT NULL,
  `stat_users` bigint(32) NOT NULL DEFAULT '0',
  `stat_images` bigint(32) NOT NULL DEFAULT '0',
  `stat_albums` bigint(32) NOT NULL DEFAULT '0',
  `stat_image_views` bigint(32) NOT NULL DEFAULT '0',
  `stat_album_views` bigint(32) NOT NULL DEFAULT '0',
  `stat_image_likes` bigint(32) NOT NULL DEFAULT '0',
  `stat_album_likes` bigint(32) NOT NULL DEFAULT '0',
  `stat_disk_used` bigint(32) NOT NULL DEFAULT '0',
  PRIMARY KEY (`stat_id`),
  UNIQUE KEY `stat_date_gmt` (`stat_date_gmt`) USING BTREE,
  KEY `stat_type` (`stat_type`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=3 ;

--
-- Dumping data for table `[[dbprefix]]stats`
--

INSERT INTO `[[dbprefix]]stats` VALUES
(1, 'total', NULL, 1, 0, 0, 0, 0, 0, 0, 0),
(2, 'date', '[[date]]', 1, 0, 0, 0, 0, 0, 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]storages`
--

CREATE TABLE `[[dbprefix]]storages` (
  `storage_id` bigint(32) NOT NULL AUTO_INCREMENT,
  `storage_api_id` bigint(32) NOT NULL,
  `storage_name` varchar(255) NOT NULL,
  `storage_service` varchar(255) DEFAULT NULL,
  `storage_url` varchar(255) NOT NULL,
  `storage_bucket` varchar(255) DEFAULT NULL,
  `storage_region` varchar(255) DEFAULT NULL,
  `storage_server` varchar(255) DEFAULT NULL,
  `storage_account_id` varchar(255) DEFAULT NULL,
  `storage_account_name` varchar(255) DEFAULT NULL,
  `storage_key` mediumtext,
  `storage_secret` mediumtext,
  `storage_is_https` tinyint(1) NOT NULL DEFAULT '0',
  `storage_is_active` tinyint(1) NOT NULL DEFAULT '0',
  `storage_capacity` bigint(32) DEFAULT NULL,
  `storage_space_used` bigint(32) DEFAULT '0',
  `storage_type_chain` tinyint(3) NOT NULL DEFAULT '1',
  PRIMARY KEY (`storage_id`),
  KEY `storage_api_id` (`storage_api_id`),
  KEY `storage_is_active` (`storage_is_active`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]storage_apis`
--

CREATE TABLE `[[dbprefix]]storage_apis` (
  `storage_api_id` bigint(32) NOT NULL AUTO_INCREMENT,
  `storage_api_name` varchar(255) NOT NULL,
  `storage_api_type` varchar(255) NOT NULL,
  PRIMARY KEY (`storage_api_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=12 ;

--
-- Dumping data for table `[[dbprefix]]storage_apis`
--

INSERT INTO `[[dbprefix]]storage_apis` VALUES
(1, 'Amazon S3', 's3'),
(2, 'Google Cloud', 'gcloud'),
(3, 'Microsoft Azure', 'azure'),
(4, 'Chevereto Grid', 'chvgrid'),
(5, 'FTP', 'ftp'),
(6, 'SFTP', 'sftp'),
(7, 'OpenStack', 'openstack'),
(8, 'Local', 'local'),
(9, 'S3 compatible', 's3compatible'),
(10, 'Alibaba Cloud OSS', 'oss'),
(11, 'Backblaze B2', 'b2');

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]two_factors`
--

CREATE TABLE `[[dbprefix]]two_factors` (
  `two_factor_id` bigint(32) NOT NULL AUTO_INCREMENT,
  `two_factor_user_id` bigint(32) DEFAULT NULL,
  `two_factor_date_gmt` datetime NOT NULL,
  `two_factor_secret` mediumtext NOT NULL,
  PRIMARY KEY (`two_factor_id`),
  KEY `two_factor_user_id` (`two_factor_user_id`),
  KEY `two_factor_date_gmt` (`two_factor_date_gmt`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]users`
--

CREATE TABLE `[[dbprefix]]users` (
  `user_id` bigint(32) NOT NULL AUTO_INCREMENT,
  `user_name` varchar(255) DEFAULT NULL,
  `user_username` varchar(255) NOT NULL,
  `user_date` datetime NOT NULL,
  `user_date_gmt` datetime NOT NULL,
  `user_email` varchar(255) DEFAULT NULL,
  `user_avatar_filename` varchar(255) DEFAULT NULL,
  `user_facebook_username` varchar(255) DEFAULT NULL,
  `user_twitter_username` varchar(255) DEFAULT NULL,
  `user_website` varchar(255) DEFAULT NULL,
  `user_background_filename` varchar(255) DEFAULT NULL,
  `user_bio` varchar(255) DEFAULT NULL,
  `user_timezone` varchar(255) NOT NULL,
  `user_language` varchar(255) DEFAULT NULL,
  `user_status` enum('valid','awaiting-confirmation','awaiting-email','banned') NOT NULL,
  `user_is_admin` tinyint(1) NOT NULL DEFAULT '0',
  `user_is_manager` tinyint(1) NOT NULL DEFAULT '0',
  `user_is_private` tinyint(1) NOT NULL DEFAULT '0',
  `user_palette_id` int(11) NOT NULL DEFAULT '0',
  `user_newsletter_subscribe` tinyint(1) NOT NULL DEFAULT '1',
  `user_show_nsfw_listings` tinyint(1) NOT NULL DEFAULT '0',
  `user_image_count` bigint(32) NOT NULL DEFAULT '0',
  `user_album_count` bigint(32) NOT NULL DEFAULT '0',
  `user_image_keep_exif` tinyint(1) NOT NULL DEFAULT '1',
  `user_image_expiration` varchar(255) DEFAULT NULL,
  `user_registration_ip` varchar(255) NOT NULL,
  `user_likes` bigint(32) NOT NULL DEFAULT '0' COMMENT 'Likes made to content owned by this user',
  `user_liked` bigint(32) NOT NULL DEFAULT '0' COMMENT 'Likes made by this user',
  `user_following` bigint(32) NOT NULL DEFAULT '0',
  `user_followers` bigint(32) NOT NULL DEFAULT '0',
  `user_content_views` bigint(32) NOT NULL DEFAULT '0',
  `user_notifications_unread` bigint(32) NOT NULL DEFAULT '0',
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `username` (`user_username`(191)) USING BTREE,
  UNIQUE KEY `email` (`user_email`(191)) USING BTREE,
  KEY `user_date_gmt` (`user_date_gmt`),
  KEY `user_status` (`user_status`),
  KEY `user_is_admin` (`user_is_admin`),
  KEY `user_is_manager` (`user_is_manager`),
  KEY `user_is_private` (`user_is_private`),
  KEY `user_palette_id` (`user_palette_id`),
  KEY `user_newsletter_subscribe` (`user_newsletter_subscribe`),
  KEY `user_show_nsfw_listings` (`user_show_nsfw_listings`),
  KEY `user_image_count` (`user_image_count`),
  KEY `user_album_count` (`user_album_count`),
  KEY `user_image_keep_exif` (`user_image_keep_exif`),
  KEY `user_image_expiration` (`user_image_expiration`),
  KEY `user_registration_ip` (`user_registration_ip`),
  KEY `user_likes` (`user_likes`),
  KEY `user_following` (`user_following`),
  KEY `user_followers` (`user_followers`),
  KEY `user_liked` (`user_liked`),
  KEY `user_content_views` (`user_content_views`),
  FULLTEXT KEY `searchindex` (`user_name`,`user_username`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=2 ;

--
-- Dumping data for table `[[dbprefix]]users`
--

INSERT INTO `[[dbprefix]]users` VALUES
(1, NULL, '[[admin_username]]', '[[regtime]]', '[[regtime]]', '[[admin_email]]', NULL, NULL, NULL, NULL, NULL, NULL, 'America/Santiago', 'en', 'valid', 1, 0, 0, 0, 1, 0, 0, 0, 1, NULL, '[[clientip]]', 0, 0, 0, 0, 0, 0);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
